---
title: Create / Update StandartizedMaterial
slug: create-update-standartizedmaterial
docTags: 
createdAt: 2026-10-08T08:29:29.588Z
---

{
  "id": "Hol9K9Hxd-PfOfDc-Kb05",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://dev1.frontu.com//client/api/v2/standartized_materials",
    "servers": [
      {
        "url": "https://dev1.frontu.com//client/api/v2/standartized_materials"
      }
    ],
    "name": "Create / Update StandartizedMaterial",
    "description": "<p>Allows to create or update standartized material object values.</p>\n<p>If you want to update Standartized Material using POST method you need to fill information for guid field or systemId field in request body.</p>\n<p>Example how to use custom values:</p>\n<p>You need to specify it for example like this:</p>\n<p>first value is guid of the custom field (for this case you can select all custom fields in this endpoint - <a href=\"https://tasker.stoplight.io/docs/tasker-api-v2/tasker_swagger.json/paths/~1client~1api~1v2~1customfields~1standartizedmaterials/get\" target=\"_blank\">https://tasker.stoplight.io/docs/tasker-api-v2/tasker_swagger.json/paths/~1client~1api~1v2~1customfields~1standartizedmaterials/get</a> ), and second is value of the custom field.\n\"customValues\":\n{\n\"f889fbe9-9d9b-3c8a-8549-e321ee7e3e34\": \"Custom Value\",\n\"f889fbe9-9d9b-3c8a-8549-e321ee7e3e35\": \"Custom Value 2\",\n\"f889fbe9-9d9b-3c8a-8549-e321ee7e3e38\": \"2\"\n}</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "required",
          "name": "body",
          "type": "object",
          "description": "",
          "schema": [
            {
              "name": "title",
              "kind": "required",
              "type": "string",
              "description": ""
            },
            {
              "name": "materialType",
              "kind": "required",
              "type": "string",
              "description": "<p>e.g.: kg, l, inch</p>"
            },
            {
              "name": "serialNumber",
              "kind": "optional",
              "type": "string",
              "description": ""
            },
            {
              "name": "price",
              "kind": "required",
              "type": "number",
              "description": "Item price in cents"
            },
            {
              "name": "systemId",
              "kind": "optional",
              "type": "string",
              "description": "Identifier from external system"
            },
            {
              "name": "customValues",
              "kind": "optional",
              "type": "string",
              "description": "<p>JSON object for custom field data (for example \"guid\": \"value\")</p>"
            },
            {
              "name": "guid",
              "kind": "optional",
              "type": "string",
              "description": "Identifier from Frontu"
            },
            {
              "name": "deleted",
              "kind": "optional",
              "type": "boolean",
              "description": "<p>Mark if entity is archived (1) or active (0)</p>"
            }
          ],
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "Bearer",
          "name": "Authorization",
          "kind": "optional",
          "type": "apiKey",
          "description": "<p>Value: Bearer {access_token}</p>",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "201",
        "description": "Returned when successful",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "400",
        "description": "Data contains errors",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "pcPsKBYnDXBhgSudn6jew",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://dev1.frontu.com//client/api/v2/standartized_materials \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --data '{\n     \"title\": \"\",\n     \"materialType\": \"\",\n     \"price\": \"\"\n     }'"
        },
        {
          "id": "LqG02qB4PybM3cc8kYXXU",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar raw = JSON.stringify({\n   \"title\": \"\",\n   \"materialType\": \"\",\n   \"price\": \"\"\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://dev1.frontu.com//client/api/v2/standartized_materials\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "YHvbczfeLpPBFKP4S3FS9",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://dev1.frontu.com//client/api/v2/standartized_materials\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest.body = JSON.dump({\n   \"title\": \"\",\n   \"materialType\": \"\",\n   \"price\": \"\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "-nySNAb3GWxQJHtmxAUCY",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://dev1.frontu.com//client/api/v2/standartized_materials\"\n\npayload = json.dumps({\n   \"title\": \"\",\n   \"materialType\": \"\",\n   \"price\": \"\"\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "pcPsKBYnDXBhgSudn6jew"
    },
    "results": {
      "languages": [
        {
          "id": "Qvltmrq7JR-QjanNQKap7",
          "language": "201",
          "code": "// Returned when successful\n"
        },
        {
          "id": "38DyFEVvmr0h3GRypRc5c",
          "language": "400",
          "code": "// Data contains errors\n"
        }
      ],
      "selectedLanguageId": "Qvltmrq7JR-QjanNQKap7"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}